MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030180Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-09-30 22:212019-09-29 12:36
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0Fixed in Version[OCCT] 7.4.0 
Summary0030180: Data Exchange - VrmlAPI_Writer is expected to return export state
DescriptionFor some reason, VrmlAPI_Writer::WriteDoc(), ::Write() do not return export state in any way.
If file cannot be opened, writer just does not perform any action.

This doesn't look like a robust API.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030115closedbugmaster Data Exchange - Implementation of import from XCAF to VRML. 

-  Notes
(0087142)
git (administrator)
2019-09-16 15:52

Branch CR30180 has been created by mzernova.

SHA-1: 47fe9c77baa022d5f44f94e76fe369f9a25d3f99


Detailed log of new commits:

Author: mzernova
Date: Mon Sep 16 13:44:02 2019 +0300

    0030180: Data Exchange - VrmlAPI_Writer is expected to return export state
    
    The VrmlAPI_Writer::WriteDoc() and VrmlAPI_Writer::Write() methods now return the export state.
(0087143)
mzernova (developer)
2019-09-16 15:54

The patch CR30180 is ready to review
(0087157)
osa (developer)
2019-09-16 16:59

+ if (outfile.fail())
+ {
+ return Standard_False;
+ }

Check stream to be opened also (aStream.is_open()).
(0087207)
git (administrator)
2019-09-17 17:00

Branch CR30180 has been updated by mzernova.

SHA-1: 5020f61bd8a1c25f739e72679a1881ddf2c3f128


Detailed log of new commits:

Author: mzernova
Date: Tue Sep 17 16:57:02 2019 +0300

    #remarks from osa

(0087208)
git (administrator)
2019-09-17 17:03

Branch CR30180_1 has been created by mzernova.

SHA-1: c09a44330c69a4f0df14ec4b94c6696e60ee8536


Detailed log of new commits:

Author: mzernova
Date: Mon Sep 16 13:44:02 2019 +0300

    0030180: Data Exchange - VrmlAPI_Writer is expected to return export state
    
    The VrmlAPI_Writer::WriteDoc() and VrmlAPI_Writer::Write() methods now return the export state.
(0087209)
mzernova (developer)
2019-09-17 17:05

The patch CR30180 is ready to review
(0087252)
osa (developer)
2019-09-18 14:13

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30180_1-master-osa [^]
(0087303)
git (administrator)
2019-09-19 14:26

Branch CR30180_2 has been created by mzernova.

SHA-1: 54fbc88dfdc362aa44e5ff5395187917ca77b9e1


Detailed log of new commits:

Author: mzernova
Date: Mon Sep 16 13:44:02 2019 +0300

    0030180: Data Exchange - VrmlAPI_Writer is expected to return export state
    
    The VrmlAPI_Writer::WriteDoc() and VrmlAPI_Writer::Write() methods now return the export state.
(0087304)
mzernova (developer)
2019-09-19 14:30

Please review the branch CR30180_2
(0087308)
git (administrator)
2019-09-19 14:57

Branch CR30180_3 has been created by mzernova.

SHA-1: 9efb15a597eb1430da58d17a6247c6247934c427


Detailed log of new commits:

Author: mzernova
Date: Mon Sep 16 13:44:02 2019 +0300

    0030180: Data Exchange - VrmlAPI_Writer is expected to return export state
    
    The VrmlAPI_Writer::WriteDoc() and VrmlAPI_Writer::Write() methods now return the export state.
(0087339)
bugmaster (administrator)
2019-09-20 07:53

Combination -
OCCT branch : WEEK-38
master SHA - 3561f506c83b672cc3e06b77029aafca8d91d5d9
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-38 SHA - 408582119deba96d291df52766ca720a3059ce71
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16813.57000000016 / 16822.810000000067 [-0.05%]
Products
Total CPU difference: 10542.720000000027 / 10555.120000000048 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 18271.390625 / 18222.765625 [+0.27%]
Products
Total CPU difference: 12493.84375 / 12438.984375 [+0.44%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0087408)
git (administrator)
2019-09-22 11:40

Branch CR30180 has been deleted by inv.

SHA-1: 5020f61bd8a1c25f739e72679a1881ddf2c3f128
(0087409)
git (administrator)
2019-09-22 11:40

Branch CR30180_1 has been deleted by inv.

SHA-1: c09a44330c69a4f0df14ec4b94c6696e60ee8536
(0087612)
git (administrator)
2019-09-29 12:36

Branch CR30180_2 has been deleted by inv.

SHA-1: 54fbc88dfdc362aa44e5ff5395187917ca77b9e1
(0087613)
git (administrator)
2019-09-29 12:36

Branch CR30180_3 has been deleted by inv.

SHA-1: 9efb15a597eb1430da58d17a6247c6247934c427

- Related Changesets
occt: master c42ef165
Timestamp: 2019-09-16 10:44:02
Author: mzernova
Committer: bugmaster
Details ] Diff ]
0030180: Data Exchange - VrmlAPI_Writer is expected to return export state

The VrmlAPI_Writer::WriteDoc() and VrmlAPI_Writer::Write() methods now return the export state.
mod - src/VrmlAPI/VrmlAPI.cxx Diff ] File ]
mod - src/VrmlAPI/VrmlAPI.hxx Diff ] File ]
mod - src/VrmlAPI/VrmlAPI_Writer.cxx Diff ] File ]
mod - src/VrmlAPI/VrmlAPI_Writer.hxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Common.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-30 22:21 kgv New Issue
2018-09-30 22:21 kgv Assigned To => gka
2018-09-30 22:21 kgv Assigned To gka => ski
2018-09-30 22:21 kgv Status new => assigned
2018-09-30 22:21 kgv Relationship added related to 0030115
2018-09-30 22:21 kgv Assigned To ski => skl
2018-09-30 22:22 kgv Description Updated View Revisions
2019-09-04 15:36 abv Target Version 7.4.0 => 7.5.0*
2019-09-04 16:10 kgv Assigned To skl => mzernova
2019-09-16 15:52 git Note Added: 0087142
2019-09-16 15:54 mzernova Note Added: 0087143
2019-09-16 15:54 mzernova Assigned To mzernova => osa
2019-09-16 15:54 mzernova Status assigned => resolved
2019-09-16 15:54 mzernova Steps to Reproduce Updated View Revisions
2019-09-16 16:12 kgv Target Version 7.5.0* => 7.4.0
2019-09-16 16:59 osa Note Added: 0087157
2019-09-16 16:59 osa Assigned To osa => mzernova
2019-09-16 16:59 osa Status resolved => assigned
2019-09-17 17:00 git Note Added: 0087207
2019-09-17 17:03 git Note Added: 0087208
2019-09-17 17:05 mzernova Note Added: 0087209
2019-09-17 17:05 mzernova Assigned To mzernova => osa
2019-09-17 17:05 mzernova Status assigned => resolved
2019-09-18 14:13 osa Note Added: 0087252
2019-09-19 14:26 git Note Added: 0087303
2019-09-19 14:30 mzernova Note Added: 0087304
2019-09-19 14:57 git Note Added: 0087308
2019-09-19 15:27 osa Assigned To osa => bugmaster
2019-09-19 15:27 osa Status resolved => reviewed
2019-09-19 18:48 bugmaster Test case number => Not required
2019-09-20 07:53 bugmaster Note Added: 0087339
2019-09-20 07:53 bugmaster Status reviewed => tested
2019-09-21 18:13 bugmaster Changeset attached => occt master c42ef165
2019-09-21 18:13 bugmaster Status tested => verified
2019-09-21 18:13 bugmaster Resolution open => fixed
2019-09-22 11:40 git Note Added: 0087408
2019-09-22 11:40 git Note Added: 0087409
2019-09-29 12:36 git Note Added: 0087612
2019-09-29 12:36 git Note Added: 0087613


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker